part of web_api_example;
class MemberController extends Controller{

  @HttpPost("/members")
  @MemberLinkProvider()
  Member addMember(@Body() Member newMember){
    if(DatabaseDummy.members.length==0){
      newMember.id=0;
    }
    else{
      newMember.id=DatabaseDummy.members.last.id+1;
    }
    DatabaseDummy.members.add(newMember);
    return newMember;
  }

  @HttpGet("/members")
  @MemberLinkProvider()
  List<Member> getMembers(){
    return DatabaseDummy.members;
  }

  @HttpGet("/members/{id}")
  @MemberLinkProvider()
  Member getMember(int id){
    List<Member> matches = DatabaseDummy.members.where((m)=>m.id==id).toList();
    if(matches.length==0){
      throw new ControllerException(HttpStatus.NOT_FOUND,"There is no member with id="+id.toString());
    }
    else{
      return matches.first;
    }
  }

  @HttpDelete("/members/{id}")
  void deleteMember(int id){
    DatabaseDummy.members.removeWhere((m)=>m.id==id);
  }


}
