part of web_api;
class LinkAppander{

  Serializer serializer = new Serializer.Json();

  appendLinks(Map<String,dynamic> to, Object parent,_RequestMapping mapping, HttpRequest request, Controller controller,[int index]){
    ClassMirror controllerClassMirror = reflectType(mapping.controller);
    MethodMirror controllerMethodMirror = controllerClassMirror.declarations[mapping.controllerMethod];
    for(InstanceMirror metadataElement in controllerMethodMirror.metadata){
      if(metadataElement.reflectee is HypermediaLinkProvider){
        HypermediaLinkProvider linkProvider = metadataElement.reflectee;
        linkProvider.apply(to,controller,request,index);
      }
    }
  }

}
