part of web_api;
/// Metadata to mark a method to handle a get request
/// The annotated method gets called if the provided url matches the uri of the request
class HttpGet extends APIMethod{

  /// @param url The url the annotated function should handle
  /// @param successStatus The [HttpStatus] which should be send, if the method completes without an exception
  const HttpGet(String url,[int successStatus = HttpStatus.OK]) : super(url, "GET");

}